ClusterAlaudaFeatureGate [alauda.io/v1]

Description
ClusterAlaudaFeatureGate describes a cluster level feature gate of the alauda product
Type
object

Specification

PropertyTypeDescription
apiVersionstring

APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

kindstring

Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

metadataObjectMeta

ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

specobject

AlaudaFeatureGateSpec defines the desired state of AlaudaFeatureGate.

statusobject

AlaudaFeatureGateStatus defines the observed state of AlaudaFeatureGate

.spec

Description
AlaudaFeatureGateSpec defines the desired state of AlaudaFeatureGate.
Type
object
Required
descriptionenabledstage
PropertyTypeDescription
dependencyobject

Dependency is the denpendencies of the feature gate.

descriptionstring

Description is a human readable text of the feature gate.

descriptionEnstring

DescriptionEn is an English human readable text of the feature gate.

enabledboolean

Enabled indicates if the feature gate is enabled manually.

stagestring

Stage is the stage of the feature gate, should be one of "Alpha", "Beta", "GA" or "EOF".

.spec.dependency

Description
Dependency is the denpendencies of the feature gate.
Type
object
PropertyTypeDescription
featureGatesarray

FeatureGates is the names of feature gates that depends on.

typestring

Type is the type of dependency, should be one of "all" or "any".

.spec.dependency.featureGates

Description
FeatureGates is the names of feature gates that depends on.
Type
array

.spec.dependency.featureGates[]

Type
string

.status

Description
AlaudaFeatureGateStatus defines the observed state of AlaudaFeatureGate
Type
object
Required
enabled
PropertyTypeDescription
enabledboolean

Enabled indicates if the feature gate is enabled at runtime.

API Endpoints

The following API endpoints are available:

  • /apis/alauda.io/v1/clusteralaudafeaturegates
    • DELETE: delete collection of ClusterAlaudaFeatureGate
    • GET: list objects of kind ClusterAlaudaFeatureGate
    • POST: create a new ClusterAlaudaFeatureGate
  • /apis/alauda.io/v1/clusteralaudafeaturegates/{name}
    • DELETE: delete the specified ClusterAlaudaFeatureGate
    • GET: read the specified ClusterAlaudaFeatureGate
    • PATCH: partially update the specified ClusterAlaudaFeatureGate
    • PUT: replace the specified ClusterAlaudaFeatureGate
  • /apis/alauda.io/v1/clusteralaudafeaturegates/{name}/status
    • GET: read status of the specified ClusterAlaudaFeatureGate
    • PATCH: partially update status of the specified ClusterAlaudaFeatureGate
    • PUT: replace status of the specified ClusterAlaudaFeatureGate

/apis/alauda.io/v1/clusteralaudafeaturegates

HTTP method
DELETE
Description
delete collection of ClusterAlaudaFeatureGate
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
list objects of kind ClusterAlaudaFeatureGate
HTTP responses
HTTP codeResponse body
200 - OKClusterAlaudaFeatureGateList schema
401 - UnauthorizedEmpty
HTTP method
POST
Description
create a new ClusterAlaudaFeatureGate
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyClusterAlaudaFeatureGate schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKClusterAlaudaFeatureGate schema
201 - CreatedClusterAlaudaFeatureGate schema
202 - AcceptedClusterAlaudaFeatureGate schema
401 - UnauthorizedEmpty

/apis/alauda.io/v1/clusteralaudafeaturegates/{name}

HTTP method
DELETE
Description
delete the specified ClusterAlaudaFeatureGate
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
HTTP responses
HTTP codeResponse body
200 - OKStatus schema
202 - AcceptedStatus schema
401 - UnauthorizedEmpty
HTTP method
GET
Description
read the specified ClusterAlaudaFeatureGate
HTTP responses
HTTP codeResponse body
200 - OKClusterAlaudaFeatureGate schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update the specified ClusterAlaudaFeatureGate
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKClusterAlaudaFeatureGate schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace the specified ClusterAlaudaFeatureGate
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyClusterAlaudaFeatureGate schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKClusterAlaudaFeatureGate schema
201 - CreatedClusterAlaudaFeatureGate schema
401 - UnauthorizedEmpty

/apis/alauda.io/v1/clusteralaudafeaturegates/{name}/status

HTTP method
GET
Description
read status of the specified ClusterAlaudaFeatureGate
HTTP responses
HTTP codeResponse body
200 - OKClusterAlaudaFeatureGate schema
401 - UnauthorizedEmpty
HTTP method
PATCH
Description
partially update status of the specified ClusterAlaudaFeatureGate
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
HTTP responses
HTTP codeResponse body
200 - OKClusterAlaudaFeatureGate schema
401 - UnauthorizedEmpty
HTTP method
PUT
Description
replace status of the specified ClusterAlaudaFeatureGate
Query parameters
ParameterTypeDescription
dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
Body parameters
ParameterTypeDescription
bodyClusterAlaudaFeatureGate schemaapplication/json formatted
HTTP responses
HTTP codeResponse body
200 - OKClusterAlaudaFeatureGate schema
201 - CreatedClusterAlaudaFeatureGate schema
401 - UnauthorizedEmpty